%define distversion %(grep -i "release ." -o /etc/redhat-release |cut -c 9 2> /dev/null)
%define is_ML3 %(if [ "%distversion" = "3" ]; then echo 1; else echo 0; fi)
%define is_ML4 %(if [ "%distversion" = "4" ]; then echo 1; else echo 0; fi)
%define is_ML5 %(if [ "%distversion" = "5" ]; then echo 1; else echo 0; fi)
%define is_ML6 %(if [ "%distversion" = "6" ]; then echo 1; else echo 0; fi)
%define is_ML7 %(if [ "%distversion" = "7" ]; then echo 1; else echo 0; fi)
%define mysqlver55 %(rpm -q mysql|cut -d '-' -f2|awk -F '.' '{print $1$2}'|grep 55 > /dev/null 2>&1 && echo 1 || echo 0)
%define is_amz %(grep -i "Amazon Linux AMI" /etc/system-release > /dev/null 2>&1 && echo 1 || echo 0)

%{!?is_mysql:%define is_mysql 1}
%{!?is_pgsql:%define is_pgsql 1}

%define dist ML%{?distversion}
%if %is_amz
%define dist %(grep -o '[0-9]*' /etc/system-release-cpe | tr -d '\\n' | awk '{print substr ($0, 3)}' | sed s/^/amz/)
%endif
%if %mysqlver55 && ! %is_amz
%define mysqlstr mysql55
%endif
%{?amzn1:%define is_ML6 1}

%define _default_patch_fuzz 2
%define original_name zabbix
###################################################################################
# COMMON HEADER START (DO NOT DELETE)
###################################################################################
%define prename zabbix
%define src_release 1
Name:           miracle-zbx
Version:        3.0.0
Release:        %{src_release}.%{?dist}%{?mysqlstr}
Summary:        Open-source monitoring solution for your IT infrastructure
Group:          Applications/Internet
License:        GPL
URL:            http://www.miraclelinux.com/
###################################################################################
# COMMON HEADER END (DO NOT DELETE)
###################################################################################

###################################################################################
# COMMON SOURCE LIST START (DO NOT DELETE)
###################################################################################
Source0:        http://downloads.sourceforge.net/%{original_name}/%{original_name}-%{version}.tar.gz
Source1:        zabbix-web.conf
Source2:        zabbix-server.init
Source3:        zabbix-agent.init
Source4:        zabbix-proxy.init
Source5:        zabbix-logrotate.in
Source6:        zabbix_agentd.conf
Source7:        zabbix_server.conf
Source8:        zabbix_proxy.conf
#Source9:        powered_by_miracle.png
Source11:       zabbix-java-gateway.init
Source12:       logo.png
Source13:       zabbix.png
Source14:       zabbix_bb.png
Source15:       zabbix_od.png
Source16:       welcome_screen-original-blue.png
#Source17:       zabbix-server.init.mysql55
Source18:       background.png
Source19:       zabbix-agent.service
#Source20:       zabbix-server-mysql.service
#Source21:       zabbix-server-pgsql.service
#Source22:       zabbix-proxy-mysql.service
#Source23:       zabbix-proxy-pgsql.service
Source24:       zabbix-java-gateway.service
Source25:       zabbix-tmpfs.conf
Source26:       zabbix-server.service
Source27:       zabbix-proxy.service
Source28:       After-mysqld-service.conf
Source29:       After-postgresql-service.conf
Source30:       icon-sprite.svg
Source31:       init_zbx.sh
Source32:       zabbix-agent.init.aix
Source33:       zabbix_java_gateway-sysd
###################################################################################
# COMMON SOURCE LIST END (DO NOT DELETE)
###################################################################################

###################################################################################
# COMMON PATCH LIST START (DO NOT DELETE)
###################################################################################
Patch0:         config.patch
Patch1:         zabbix-datasql.patch
#Patch2:         zabbix-2.0.2-powered_by_miracle.patch
Patch3:         fonts-config.patch
#Patch4:         zabbix-2.0.0-setup_from_empty_conf.patch
Patch6:         zabbix-fix_for_aix61.patch
Patch7:         zabbix-windows_build.patch
Patch8:         zabbix-reload_config.patch
Patch10:        zabbix-fix_cflags.patch
#Patch11:        zabbix-2.0.3-fix_odbc_structure.patch
Patch12:        zabbix-add_event_filter.patch
#Patch13:        zabbix-fix_java_gateway_pid.patch
Patch14:        zabbix-show_history_in_event.patch
#Patch15:        zabbix-2.0.3-fix_sigbus_crash.patch
#Patch16:        zabbix-fix_java_gateway_log.patch
#Patch17:        zabbix-2.0.4-fix_evaluate_STR_LOGEVENTID_memory_leak.patch
Patch22:        zabbix-fix_some_log.patch
Patch24:        zabbix-ML-copyright-replacement.patch
Patch26:        zabbix-hpux_compat.patch
Patch27:        zabbix-long_telnet_command_fix.patch
#Patch28:        zabbix-2.0.8-avoid_proxy_stopping.patch
#Patch29:        zabbix-2.2.1-fix_eventlog_message_logic.patch
Patch30:        zabbix-force_redirect_std.patch
#Patch31:        zabbix-2.0.8-add_eventlog6_key.patch
Patch33:        zabbix-add_graph_csv_output.patch
Patch34:        zabbix-windows-copyright.patch
Patch35:        zabbix-add_dbupdate_option.patch
Patch36:        zabbix-fix_format_message_crash.patch
#Patch37:        zabbix-2.2.6-fix_eventlog6_itself_broken.patch
Patch38:        zabbix-fix_eventlog_message_logic.patch
#Patch39:        zabbix-2.5.0-fix_command_injection.patch 
Patch40:        zabbix-add_eventlog_ext.patch 
Patch41:        zabbix-fix_memory_leak.patch 
Patch42:        zabbix-fix_sending_recovery_mail.patch 
Patch43:        zabbix-fix_query_wrong_last_data.patch
Patch44:        zabbix-fix_memory_leak_in_trendcache.patch
Patch45:        zabbix-fix_zbx_item_logtype_string.patch
Patch46:        zabbix-add-cpu_time-to-proc_info-on-windows.patch
#Patch47:        zabbix-2.2.9-add_missing_socket_closing.patch
Patch48:        zabbix-unsupport_long_item_key.patch
#Patch49:        zabbix-2.2.9-fix_flickerfreescreen.patch
#Patch50:        zabbix-2.2.9-escape_crashing_on_ValueCacheSize_is_0.patch
Patch51:        zabbix-support_tabulardatasupport_java_type.patch
#Patch52:        zabbix-2.2.9-fix_warning_when_no_host_selected.patch
#Patch53:        zabbix-2.2.9-add_disabling_housekeeping_feature.patch
Patch54:        zabbix-checking_unsupported_sixth_parameter_in_proc.cpu.util_item_on_Solaris.patch
Patch55:        zabbix-fix_undeclared_locations_in_sensors_file.patch
Patch56:        zabbix-fix_building_windows_in_3.0.0alpha3.patch
Patch57:        zabbix-enable_option_with_mbedtls_for_tls_protocol.patch
Patch58:        zabbix-add_trap_receiver.patch
Patch59:        zabbix-fix_crashing_in_escalator_process.patch
Patch60:        zabbix-fix_memory_leak_in_history_cache.patch
###################################################################################
# COMMON PATCH LIST END (DO NOT DELETE)
###################################################################################

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %is_ML7
%if %is_mysql
BuildRequires:   mysql-devel
%endif
%if %is_pgsql
BuildRequires:   postgresql-devel
%endif
BuildRequires:   net-snmp-devel
BuildRequires:   openldap-devel
BuildRequires:   gnutls-devel
BuildRequires:   iksemel-devel
BuildRequires:   unixODBC-devel
BuildRequires:   libssh2-devel >= 1.0.0
BuildRequires:   libxml2-devel
BuildRequires:   gettext
BuildRequires:   java-1.6.0-openjdk-devel >= 1.6.0
BuildRequires:   libcurl-devel >= 7.13.1
BuildRequires:   OpenIPMI-devel >= 2.0.14
BuildRequires:   systemd-units
%endif

Requires:        logrotate
Requires(pre):   /usr/sbin/useradd

%description
MIRACLE ZBX is software that monitors numerous parameters of a
network and the health and integrity of servers. MIRACLE ZBX
uses a flexible notification mechanism that allows users
to configure e-mail based alerts for virtually any event.
This allows a fast reaction to server problems. MIRACLE ZBX
offers excellent reporting and data visualisation features
based on the stored data. This makes MIRACLE ZBX ideal for
capacity planning.

MIRACLE ZBX supports both polling and trapping. All MIRACLE ZBX
reports and statistics, as well as configuration
parameters are accessed through a web-based front end. A
web-based front end ensures that the status of your network
and the health of your servers can be assessed from any
location. Properly configured, MIRACLE ZBX can play an important
role in monitoring IT infrastructure. This is equally true
for small organisations with a few servers and for large
companies with a multitude of servers.

%if %is_ML7

%if %is_mysql
%package server-mysql
Summary:         MIRACLE ZBX server compiled to use MySQL
Group:           Applications/Internet
Requires:        fping
Requires:        iksemel
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
Requires:        mysql
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Provides:        zabbix-server-mysql = %{version}-%{release}
Provides:        zabbix-server = %{version}-%{release}
Provides:        zabbix-server-implementation = %{version}-%{release}
Obsoletes:       zabbix
Obsoletes:       zabbix-server
Conflicts:       miracle-zbx-server-pgsql
Conflicts:       miracle-zbx-proxy

%description server-mysql
MIRACLE ZBX server compiled to use MySQL
%endif

%if %is_pgsql
%package server-pgsql
Summary:         MIRACLE ZBX server compiled to use PostgresSQL
Group:           Applications/Internet
Requires:        fping
Requires:        iksemel
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
Requires:        postgresql
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Provides:        zabbix-server-pgsql = %{version}-%{release}
Provides:        zabbix-server = %{version}-%{release}
Provides:        zabbix-server-implementation = %{version}-%{release}
Obsoletes:       zabbix
Obsoletes:       zabbix-server
Conflicts:       miracle-zbx-server-mysql
Conflicts:       miracle-zbx-proxy

%description server-pgsql
MIRACLE ZBX server compiled to use PostgresSQL
%endif
%endif

%package agent
Summary:         MIRACLE ZBX Agent
Group:           Applications/Internet
%if %is_ML7
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
%else
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%endif
Provides:        zabbix-agent = %{version}-%{release}
Obsoletes:       zabbix

%description agent
The MIRACLE ZBX client agent, to be installed on monitored systems.

%package get
Summary:         MIRACLE ZBX Get
Group:           Applications/Internet
%if %is_ML7
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
%else
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%endif
Provides:        zabbix-get = %{version}-%{release}

%description get
The MIRACLE ZBX Get, to be installed on monitored systems.

%package sender
Summary:         MIRACLE ZBX Sender
Group:           Applications/Internet
%if %is_ML7
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
%else
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%endif
Provides:        zabbix-sender = %{version}-%{release}

%description sender
The MIRACLE ZBX Sender, to be installed on monitored systems.

%if %is_ML7

%if %is_mysql
%package proxy-mysql
Summary:         MIRACLE ZBX proxy compiled to use MySQL
Group:           Applications/Internet
Requires:        mysql
Requires:        fping
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Provides:        zabbix-proxy-mysql = %{version}-%{release}
Provides:        zabbix-proxy = %{version}-%{release}
Provides:        zabbix-server-implementation = %{version}-%{release}
Obsoletes:       zabbix
Obsoletes:       zabbix-proxy
Conflicts:       miracle-zbx-proxy-pgsql
Conflicts:       miracle-zbx-web
Conflicts:       miracle-zbx-server-mysql
Conflicts:       miracle-zbx-server-pgsql

%description proxy-mysql
The MIRACLE ZBX proxy compiled to use MySQL
%endif

%if %is_pgsql
%package proxy-pgsql
Summary:         MIRACLE ZBX proxy compiled to use PostgreSQL
Group:           Applications/Internet
Requires:        postgresql
Requires:        fping
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Provides:        zabbix-proxy-pgsql = %{version}-%{release}
Provides:        zabbix-proxy = %{version}-%{release}
Provides:        zabbix-server-implementation = %{version}-%{release}
Obsoletes:       zabbix
Obsoletes:       zabbix-proxy
Conflicts:       miracle-zbx-proxy-mysql
Conflicts:       miracle-zbx-web
Conflicts:       miracle-zbx-server-mysql
Conflicts:       miracle-zbx-server-pgsql

%description proxy-pgsql
The MIRACLE ZBX proxy compiled to use PostgreSQL
%endif

%package web
Summary:         MIRACLE ZBX Web Frontend
Group:           Applications/Internet
Requires:        httpd
Requires:        php >= 5.0
Requires:        php-gd
Requires:        php-mbstring
Requires:        php-xml
Requires:        miracle-zbx-web-database = %{version}-%{release}
Requires:        php-bcmath
Requires:        traceroute
Provides:        zabbix-web = %{version}-%{release}
Conflicts:       miracle-zbx-proxy

%description web
The php frontend to display the MIRACLE ZBX web interface.

%if %is_mysql
%package web-mysql
Summary:         MIRACLE ZBX web frontend for MySQL
Group:           Applications/Internet
Requires:        miracle-zbx-web = %{version}-%{release}
Requires:        php-mysql
Provides:        miracle-zbx-web-database = %{version}-%{release}
Provides:        zabbix-web-mysql = %{version}-%{release}
Provides:        zabbix-web-database = %{version}-%{release}
Conflicts:       miracle-zbx-web-pgsql

%description web-mysql
MIRACLE ZBX web frontend for MySQL
%endif

%if %is_pgsql
%package web-pgsql
Summary:         MIRACLE ZBX web frontend for PostgreSQL
Group:           Applications/Internet
Requires:        miracle-zbx-web = %{version}-%{release}
Requires:        php-pgsql
Provides:        miracle-zbx-web-database = %{version}-%{release}
Provides:        zabbix-web-pgsql = %{version}-%{release}
Provides:        zabbix-web-database = %{version}-%{release}
Conflicts:       miracle-zbx-web-mysql

%description web-pgsql
MIRACLE ZBX web frontend for PostgreSQL
%endif

%package web-japanese
Summary: Japanese font for MIRACLE ZBX web frontend
Group:   Applications/Internet
Requires:    vlgothic-p-fonts
Requires:        %{name}-web = %{version}-%{release}
Requires(post):  %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
Provides:        zabbix-web-japanese = %{version}-%{release}

%description web-japanese
Japanese font for MIRACLE ZBX web frontend

%package java-gateway
Summary:    MIRACLE ZBX Java Gateway files
Group:      Applications/Internet
Requires: java >= 1.6.0
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Provides:        zabbix-java-gateway = %{version}-%{release}
Obsoletes:       zabbix

%description java-gateway
MIRACLE ZBX Java Gateway files
%endif

###################################################################################
# COMMON PATCHING START (DO NOT DELETE)
###################################################################################
%prep
%setup -q -n %{original_name}-%{version}
%patch0 -p1 -b .config.orig
%patch1 -p1 -b .datasql.orig
#%patch2 -p1 -b .powered_by_miracle.orig
%patch3 -p1 -b .fonts-config.orig
#%patch4 -p1 -b .setup_from_empty_conf.orig
%patch6 -p1 -b .fix_for_aix61.orig
%patch7 -p1 -b .windows_build.orig
%patch8 -p1 -b .reload_config.orig
%patch10 -p1 -b .fix_cflags.orig
#%patch11 -p1 -b .fix_odbc_structure.orig
%patch12 -p1 -b .add_event_filter.orig
#%patch13 -p1 -b .fix_java_gateway_pid.orig
%patch14 -p1 -b .show_history_in_event.orig
#%patch15 -p1 -b .fix_sigbus_crash.orig
#%patch16 -p1 -b .fix_java_gateway_log.orig
#%patch17 -p1 -b .fix_evaluate_STR_LOGEVENTID_memory_leak.orig
%patch22 -p1 -b .fix_some_log.orig
%patch24 -p1 -b .ML-copyright-replacement.orig
%patch26 -p1 -b .hpux_compat.orig
%patch27 -p1 -b .long_telnet_command_fix.orig
#%patch28 -p1 -b .avoid_proxy_stopping.orig
#%patch29 -p1 -b .fix_eventlog_message_logic.orig
%patch30 -p1 -b .force_redirect_std.orig
#%patch31 -p1 -b .add_eventlog6_key.orig
%patch33 -p1 -b .add_graph_csv_output.orig
%patch34 -p1 -b .windows-copyright.orig
%patch35 -p1 -b .add_dbupdate_option.orig
%patch36 -p1 -b .fix_format_message_crash.orig
#%patch37 -p1 -b .fix_eventlog6_itself_broken.orig
%patch38 -p1 -b .fix_eventlog_message_logic.orig
#%patch39 -p1 -b .fix_command_injection.orig
%patch40 -p1 -b .add_eventlog_ext.orig
%patch41 -p1 -b .fix_memory_leak.orig
%patch42 -p1 -b .fix_sending_recovery_mail.orig
%patch43 -p1 -b .fix_query_wrong_last_data.orig
%patch44 -p1 -b .fix_memory_leak_in_trendcache.orig
%patch45 -p1 -b .fix_zbx_item_logtype_string.orig
%patch46 -p1 -b .add-cpu_time-to-proc_info-on-windows.orig
#%patch47 -p1 -b .add_missing_socket_closing.orig
%patch48 -p1 -b .unsupport_long_item_key.orig
#%patch49 -p1 -b .fix_flickerfreescreen.orig
#%patch50 -p1 -b .escape_crashing_on_ValueCacheSize_is_0.orig
%patch51 -p1 -b .support_tabulardatasupport_java_type.orig
#%patch52 -p1 -b .fix_warning_when_no_host_selected.orig
#%patch53 -p1 -b .add_disabling_housekeeping_feature.orig
%patch54 -p1 -b .checking_unsupported_sixth_parameter_in_proc.cpu.util_item_on_Solaris.orig
%patch55 -p1 -b .fix_undeclared_locations_in_sensors_file.orig
%patch56 -p1 -b .fix_building_windows_in_3.0.0alpha3.orig
%patch57 -p1 -b .enable_option_with_mbedtls_for_tls_protocol.orig
%patch58 -p1 -b .add_trap_receiver.orig
%patch59 -p1 -b .fix_crashing_in_escalator_process.orig
%patch60 -p1 -b .fix_memory_leak_in_history_cache.orig
####################################################################################
# COMMON PATCHING END (DO NOT DELETE)
###################################################################################

rm -f frontends/php/fonts/DejaVuSans.ttf
#cp VLGothic/* frontends/php/fonts/
cp %{SOURCE13} frontends/php/images/general/zabbix.png
cp %{SOURCE14} frontends/php/images/general/zabbix_bb.png
cp %{SOURCE15} frontends/php/images/general/zabbix_od.png
cp %{SOURCE30} frontends/php/img/icon-sprite.svg

chmod -R a+rX .

# fix up some lib64 issues
%{__perl} -pi.orig -e 's|_LIBDIR=/usr/lib|_LIBDIR=%{_libdir}|g' \
    configure

# kill off .htaccess files, options set in SOURCE1
find frontends/php -name .htaccess | xargs rm -f

# replace original version string
%{__perl} -p -i -e \
    "s,^define\('ZABBIX_VERSION'\,		'%{version}',define\('ZABBIX_VERSION'\,     '%{version}-%{src_release}'," \
    frontends/php/include/defines.inc.php
%{__grep} ^define\(\'ZABBIX_VERSION\' frontends/php/include/defines.inc.php | %{__grep} "%{version}-%{src_release}" > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

%{__perl} -p -i -e \
    "s,^	public static final String VERSION = \"%{version},	public static final String VERSION = \"%{version}-%{src_release}," \
    src/zabbix_java/src/com/zabbix/gateway/GeneralInformation.java
%{__grep} "public static final String VERSION = \"%{version}-%{src_release}\"" src/zabbix_java/src/com/zabbix/gateway/GeneralInformation.java > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

%{__perl} -p -i -e \
    "s,^#define ZABBIX_VERSION_RC	\"\",#define ZABBIX_VERSION_RC	\"-%{src_release}\"," \
    include/version.h
%{__grep} "^#define ZABBIX_VERSION_RC	\"-%{src_release}\"" include/version.h > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

# fix path to traceroute utility
sed -i.orig -e 's|/usr/bin/traceroute|/bin/traceroute|' database/mysql/data.sql
sed -i.orig -e 's|/usr/bin/traceroute|/bin/traceroute|' database/postgresql/data.sql
sed -i.orig -e 's|/usr/bin/traceroute|/bin/traceroute|' database/sqlite3/data.sql

# change log directory for Java Gateway
sed -i -e 's|/tmp/zabbix_java.log|/var/log/zabbix/zabbix_java_gateway.log|g' src/zabbix_java/lib/logback.xml

%build

common_flags=" 
    --enable-agent \
    --sysconfdir=/etc/zabbix \
    --with-mbedtls \
    --enable-ipv6
"

%configure $common_flags
make %{?_smp_mflags}

%if %is_ML7
mv src/zabbix_agent/zabbix_agentd src/zabbix_agent/zabbix_agentd_less_lib_dependency
mv src/zabbix_sender/zabbix_sender src/zabbix_sender/zabbix_sender_less_lib_dependency
mv src/zabbix_get/zabbix_get src/zabbix_get/zabbix_get_less_lib_dependency
make distclean

common_flags=" 
    --enable-dependency-tracking \
    --sysconfdir=/etc/zabbix \
    --enable-server \
    --enable-agent \
    --enable-proxy \
    --enable-ipv6 \
    --enable-java \
    --with-net-snmp \
    --with-ldap \
    --with-unixodbc \
    --with-ssh2 \
    --with-openipmi \
    --with-libcurl \
    --with-mbedtls \
    --with-jabber \
    --with-libxml2
"

%if %is_mysql
%configure $common_flags --with-mysql
make %{?_smp_mflags}
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_mysql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_mysql
%endif

%if %is_pgsql
%configure $common_flags --with-postgresql
make %{?_smp_mflags}
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_pgsql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_pgsql
%endif

make gettext

touch src/zabbix_server/zabbix_server
touch src/zabbix_proxy/zabbix_proxy
%endif

%install
rm -rf $RPM_BUILD_ROOT
# set up some required directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/%{original_name}/externalscripts
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/%{original_name}/alertscripts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/zabbix_agentd.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/web
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{original_name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{original_name}
%if %is_ML7
    mkdir -p $RPM_BUILD_ROOT%{_unitdir}
    mkdir -p $RPM_BUILD_ROOT%{_unitdir}/zabbix-server.service.d
    mkdir -p $RPM_BUILD_ROOT%{_unitdir}/zabbix-proxy.service.d
    mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d
    mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{original_name}/init
%else
    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
%endif

%if %is_ML7
find ./ -name '*.orig'|xargs rm -f

# php frontend
cp -a frontends/php $RPM_BUILD_ROOT%{_datadir}/%{original_name}

# prepare ghosted config file
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/web/zabbix.conf.php

# move maintenance.inc.php
mv $RPM_BUILD_ROOT%{_datadir}/%{original_name}/conf/maintenance.inc.php \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/web

# drop config files in place
#install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/zabbix.conf
sed 's/^/#/' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%endif
install -m 0644 -p %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/zabbix_agentd.conf
%if %is_ML7
install -m 0644 -p %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/zabbix_server.conf
install -m 0644 -p %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/zabbix_proxy.conf
%endif
# log rotation
cat %{SOURCE5} | sed -e 's|COMPONENT|agentd|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-agent
%if %is_ML7
cat %{SOURCE5} | sed -e 's|COMPONENT|server|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-server
cat %{SOURCE5} | sed -e 's|COMPONENT|proxy|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-proxy
%endif
# init scripts
%if %is_ML7
    install -m 0644 -p %{SOURCE19} $RPM_BUILD_ROOT%{_unitdir}/zabbix-agent.service
    install -m 0644 -p %{SOURCE26} $RPM_BUILD_ROOT%{_unitdir}/zabbix-server.service
    install -m 0644 -p %{SOURCE27} $RPM_BUILD_ROOT%{_unitdir}/zabbix-proxy.service
    install -m 0644 -p %{SOURCE24} $RPM_BUILD_ROOT%{_unitdir}/zabbix-java-gateway.service
    install -m 0755 -p %{SOURCE31} $RPM_BUILD_ROOT%{_localstatedir}/lib/%{original_name}/init/init_zbx.sh
    # Compatibility with old name
    ln -sf %{_unitdir}/zabbix-agent.service $RPM_BUILD_ROOT%{_unitdir}/zabbix-agentd.service
    ln -sf  %{_prefix}/lib/%{original_name}/externalscripts $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/externalscripts
    ln -sf  %{_prefix}/lib/%{original_name}/externalscripts $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/alertscripts
    # For /run/zabbix setting
    install -m 0644 -p %{SOURCE25} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/zabbix-agent.conf
    install -m 0644 -p %{SOURCE25} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/zabbix-server.conf
    install -m 0644 -p %{SOURCE25} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/zabbix-proxy.conf
    # install systemd-tmpfiles conf
    install -Dm 0644 -p %{SOURCE25} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/zabbix-java-gateway.conf
%else
    install -m 0755 -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-agent
%endif

# set up config dir

# install
make DESTDIR=$RPM_BUILD_ROOT install

%if %is_ML7
# delete unnecessary files from java gateway
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/settings.sh
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/startup.sh
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/shutdown.sh

mv $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/lib/logback.xml $RPM_BUILD_ROOT/%{_sysconfdir}/zabbix/zabbix_java_gateway_logback.xml
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/lib/logback-console.xml
mv $RPM_BUILD_ROOT%{_sbindir}/zabbix_java $RPM_BUILD_ROOT/%{_datadir}/zabbix-java-gateway
install -m 0755 -p %{SOURCE33} $RPM_BUILD_ROOT%{_sbindir}/zabbix_java_gateway

rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_agentd
install -m 0755 -p src/zabbix_agent/zabbix_agentd_less_lib_dependency $RPM_BUILD_ROOT%{_sbindir}/zabbix_agentd
install -m 0755 -p src/zabbix_sender/zabbix_sender_less_lib_dependency $RPM_BUILD_ROOT%{_bindir}/zabbix_sender
install -m 0755 -p src/zabbix_get/zabbix_get_less_lib_dependency $RPM_BUILD_ROOT%{_bindir}/zabbix_get
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_server
install -m 0755 -p src/zabbix_server/zabbix_server_* $RPM_BUILD_ROOT%{_sbindir}/
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_proxy
install -m 0755 -p src/zabbix_proxy/zabbix_proxy_* $RPM_BUILD_ROOT%{_sbindir}/
install -m 0755 -p misc/snmptrap/zabbix_trap_receiver.pl $RPM_BUILD_ROOT%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl

# java gateway
cat src/zabbix_java/settings.sh | sed \
        -e 's|^PID_FILE=.*|PID_FILE="/var/run/zabbix/zabbix_java.pid"|g' \
        -e '/^# TIMEOUT=/a \\nTIMEOUT=3' \
        > $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_java_gateway.conf
%endif

# nuke static libs and empty oracle upgrade sql
rm -rf $RPM_BUILD_ROOT%{_libdir}/libzbx*.a
# nuke extraneous sql files
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/create

%if %is_ML7
# copy sql files for servers
docdir=$RPM_BUILD_ROOT%{_docdir}/miracle-zbx-server-mysql-%{version}
install -dm 755 $docdir
cat database/mysql/schema.sql > $docdir/create.sql
cat database/mysql/images.sql >> $docdir/create.sql
cat database/mysql/data.sql >> $docdir/create.sql
gzip $docdir/create.sql

docdir=$RPM_BUILD_ROOT%{_docdir}/miracle-zbx-server-pgsql-%{version}
install -dm 755 $docdir
cat database/postgresql/schema.sql > $docdir/create.sql
cat database/postgresql/images.sql >> $docdir/create.sql
cat database/postgresql/data.sql >> $docdir/create.sql
gzip $docdir/create.sql

# copy sql files for proxyes
docdir=$RPM_BUILD_ROOT%{_docdir}/miracle-zbx-proxy-mysql-%{version}
install -dm 755 $docdir
cp database/mysql/schema.sql $docdir/schema.sql
gzip $docdir/schema.sql

docdir=$RPM_BUILD_ROOT%{_docdir}/miracle-zbx-proxy-pgsql-%{version}
install -dm 755 $docdir
cp database/postgresql/schema.sql $docdir/schema.sql
gzip $docdir/schema.sql
%endif
%clean
rm -rf $RPM_BUILD_ROOT

%pre agent
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:

%if %is_ML7
%pre proxy-mysql
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:

%pre proxy-pgsql
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:

%pre java-gateway
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:

%pre server-mysql
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:

%pre server-pgsql
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:
%endif

%if %is_ML7

%if %is_mysql
%post server-mysql
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_server \
    zabbix-server %{_sbindir}/zabbix_server_mysql 10 \
%endif

%if %is_pgsql
%post server-pgsql
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_server \
    zabbix-server %{_sbindir}/zabbix_server_pgsql 10 \
%endif

%if %is_mysql
%post proxy-mysql
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_proxy \
    zabbix-proxy %{_sbindir}/zabbix_proxy_mysql 10 \
%endif

%if %is_pgsql
%post proxy-pgsql
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_proxy \
    zabbix-proxy %{_sbindir}/zabbix_proxy_pgsql 10 \
%endif

%post java-gateway
/bin/systemctl daemon-reload >/dev/null 2>&1 || :

%post web
/usr/sbin/update-alternatives --install %{_datadir}/%{original_name}/fonts/graphfont.ttf zabbix-web-font %{_datadir}/fonts/dejavu/DejaVuSans.ttf 10
# move existing config file on update
if [ "$1" -ge "1" ]
then
    if [ -f %{_sysconfdir}/zabbix/zabbix.conf.php ]
    then
        mv %{_sysconfdir}/zabbix/zabbix.conf.php %{_sysconfdir}/zabbix/web
        chown apache:apache %{_sysconfdir}/zabbix/web/zabbix.conf.php
    fi
fi
:

%post web-japanese
  /usr/sbin/update-alternatives --install %{_datadir}/%{original_name}/fonts/graphfont.ttf zabbix-web-font %{_datadir}/fonts/vlgothic/VL-PGothic-Regular.ttf 20
:
%endif

%post agent
%if %is_ML7
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-agent || :
%endif

%if %is_ML7

%if %is_mysql
%preun server-mysql
if [ $1 -eq 0 ]; then
    /bin/systemctl --no-reload disable zabbix-server.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-server.service > /dev/null 2>&1 || :
    /usr/sbin/update-alternatives --remove zabbix-server %{_sbindir}/zabbix_server_mysql
fi
:
%endif

%if %is_pgsql
%preun server-pgsql
if [ $1 -eq 0 ]; then
    /bin/systemctl --no-reload disable zabbix-server.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-server.service > /dev/null 2>&1 || :
    /usr/sbin/update-alternatives --remove zabbix-server %{_sbindir}/zabbix_server_pgsql
fi
:
%endif

%if %is_mysql
%preun proxy-mysql
if [ $1 -eq 0 ]; then
    /bin/systemctl --no-reload disable zabbix-proxy.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-proxy.service > /dev/null 2>&1 || :
    /usr/sbin/update-alternatives --remove zabbix-proxy %{_sbindir}/zabbix_proxy_mysql
fi
:
%endif

%if %is_pgsql
%preun proxy-pgsql
if [ $1 -eq 0 ]; then
    /bin/systemctl --no-reload disable zabbix-proxy.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-proxy.service > /dev/null 2>&1 || :
    /usr/sbin/update-alternatives --remove zabbix-proxy %{_sbindir}/zabbix_proxy_pgsql
fi
:
%endif

%preun java-gateway
if [ $1 -eq 0 ]
then
  /bin/systemctl --no-reload disable zabbix-java-gateway.service > /dev/null 2>&1 || :
  /bin/systemctl stop zabbix-java-gateway.service > /dev/null 2>&1 || :
fi
:

%preun web
if [ "$1" = 0 ]
then
    /usr/sbin/update-alternatives --remove zabbix-web-font %{_datadir}/fonts/dejavu/DejaVuSans.ttf
fi
:

%preun web-japanese
if [ "$1" = 0 ]
then
    /usr/sbin/update-alternatives --remove zabbix-web-font %{_datadir}/fonts/vlgothic/VL-PGothic-Regular.ttf 
fi
:
%endif

%preun agent
if [ $1 -eq 0 ]
then
%if %is_ML7
  /bin/systemctl --no-reload disable zabbix-agent.service > /dev/null 2>&1 || :
  /bin/systemctl stop zabbix-agent.service > /dev/null 2>&1 || :
%else
  /sbin/service zabbix-agent stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-agent
%endif
fi
:

%if %is_ML7
%postun server-mysql
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
  /bin/systemctl try-restart zabbix-server.service >/dev/null 2>&1 || :
fi

%postun server-pgsql
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
  /bin/systemctl try-restart zabbix-server.service >/dev/null 2>&1 || :
fi

%postun proxy-mysql
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
  /bin/systemctl try-restart zabbix-proxy.service >/dev/null 2>&1 || :
fi

%postun proxy-pgsql
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
  /bin/systemctl try-restart zabbix-proxy.service >/dev/null 2>&1 || :
fi

%postun java-gateway
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
  /bin/systemctl try-restart zabbix-java-gateway.service >/dev/null 2>&1 || :
fi
%endif

%postun agent
%if %is_ML7
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
%endif
if [ $1 -gt 1 ]; then
%if %is_ML7
  /bin/systemctl try-restart zabbix-agent.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-agent condrestart >/dev/null 2>&1 || :
%endif
fi

%files agent
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_mandir}/man8/zabbix_agentd.8.*
%dir %{_sysconfdir}/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_agentd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-agent
%dir %{_sysconfdir}/zabbix/zabbix_agentd.d
%if %is_ML7
%{_prefix}/lib/tmpfiles.d/zabbix-agent.conf
%{_unitdir}/zabbix-agent.service
%{_unitdir}/zabbix-agentd.service
%else
%{_sysconfdir}/init.d/zabbix-agent
%endif
%{_sbindir}/zabbix_agentd

%files sender
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_mandir}/man1/zabbix_sender.1.*
%{_bindir}/zabbix_sender

%files get
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_mandir}/man1/zabbix_get.1.*
%{_bindir}/zabbix_get

%if %is_ML7
%if %is_mysql
%files server-mysql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc upgrades/dbpatches
%{_mandir}/man8/zabbix_server.8.*
%dir %{_sysconfdir}/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix
%{_prefix}/lib/tmpfiles.d/zabbix-server.conf
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-server
%{_sysconfdir}/zabbix/alertscripts
%{_sysconfdir}/zabbix/externalscripts
%dir %{_prefix}/lib/%{original_name}/externalscripts
%dir %{_prefix}/lib/%{original_name}/alertscripts
%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl
%{_localstatedir}/lib/%{original_name}/init/init_zbx.sh
%{_sbindir}/zabbix_server_mysql
%{_unitdir}/zabbix-server.service
%endif

%if %is_pgsql
%files server-pgsql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc upgrades/dbpatches
%{_mandir}/man8/zabbix_server.8.*
%dir %{_sysconfdir}/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix
%{_prefix}/lib/tmpfiles.d/zabbix-server.conf
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-server
%dir %{_prefix}/lib/%{original_name}/alertscripts
%{_sysconfdir}/zabbix/alertscripts
%{_sysconfdir}/zabbix/externalscripts
%dir %{_prefix}/lib/%{original_name}/externalscripts
%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl
%{_localstatedir}/lib/%{original_name}/init/init_zbx.sh
%{_sbindir}/zabbix_server_pgsql
%{_unitdir}/zabbix-server.service
%endif

%if %is_mysql
%files proxy-mysql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc upgrades/dbpatches
%{_mandir}/man8/zabbix_proxy.8.*
%dir %{_sysconfdir}/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix
%{_prefix}/lib/tmpfiles.d/zabbix-proxy.conf
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_proxy.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-proxy
%dir %{_prefix}/lib/%{original_name}/externalscripts
%{_sysconfdir}/zabbix/externalscripts
%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl
%{_sbindir}/zabbix_proxy_mysql
%{_unitdir}/zabbix-proxy.service
%endif

%if %is_pgsql
%files proxy-pgsql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc upgrades/dbpatches
%{_mandir}/man8/zabbix_proxy.8.*
%dir %{_sysconfdir}/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix
%{_prefix}/lib/tmpfiles.d/zabbix-proxy.conf
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_proxy.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-proxy
%dir %{_prefix}/lib/%{original_name}/externalscripts
%{_sysconfdir}/zabbix/externalscripts
%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl
%{_sbindir}/zabbix_proxy_pgsql
%{_unitdir}/zabbix-proxy.service
%endif

%files web
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %attr(0750,apache,apache) %{_sysconfdir}/zabbix/web
%ghost %config(noreplace) %attr(600,apache,apache) %{_sysconfdir}/zabbix/web/zabbix.conf.php
%config(noreplace) %{_sysconfdir}/zabbix/web/maintenance.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%{_datadir}/zabbix

%if %is_mysql
%files web-mysql
%defattr(-,root,root,-)
%endif

%if %is_pgsql
%files web-pgsql
%defattr(-,root,root,-)
%endif

%files web-japanese
%defattr(-,root,root,-)

%files java-gateway
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_java_gateway.conf
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix
%if %is_ML7
%{_datadir}/zabbix-java-gateway
%{_sbindir}/zabbix_java_gateway
%{_unitdir}/zabbix-java-gateway.service
%{_prefix}/lib/tmpfiles.d/zabbix-java-gateway.conf
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_java_gateway_logback.xml
%else
%{_sbindir}/zabbix_java
%{_sysconfdir}/init.d/zabbix-java-gateway
%endif
%endif

###################################################################################
# COMMON CHANGELOG START (DO NOT DELETE)
###################################################################################
%changelog
* Thu Mar 10 2016 Jack Ngo <jack.ngo@miraclelinux.com> - 3.0.0-1%{?dist}
- Update base zabbix version to 3.0.0
- Remove unnecessary library from agent, sender and get[RCN:12422]
- Add zabbix-fix_crashing_in_escalator_process.patch (Patch59)[RCN:12452]
- Add zabbix-fix_memory_leak_in_history_cache.patch (Patch60)[RCN:12453]
- Remove unused .orig files[RCN:12343]
- Rename as zabbix-agent.service[RCN:12086]
- Fix errors when install miracle-zbx-web packages[RCN:12468]
- Obsoletes zabbix, zabbix-server and zabbix-proxy package[RCN:12446]
- Provides same zabbix-* packages[RCN:12197]
- Update zabbix-web.conf for 3.0.0[RCN:12502]
- Remaking java-gateway files[RCN:12503]

* Mon Jan 29 2016 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0beta2-1%{?dist}
- Update base zabbix version to 3.0.0beta2

* Thu Jan 14 2016 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha6-1%{?dist}
- Update base zabbix version to 3.0.0alpha6
- Update zabbix-remove_zabbix_agent.conf_file.patch (Patch8)

* Wed Dec 23 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha5-1%{?dist}
- Update base zabbix version to 3.0.0alpha5
- Update zabbix-reload_config.patch (Patch8)
- Update zabbix-force_redirect_std.patch (Patch30)[RCN:10240]
- Update zabbix-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:11352]

* Fri Oct 16 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha3-1%{?dist}
- Update base zabbix version to 3.0.0alpha3
- Update zabbix-windows_build.patch (Patch7)[RCN:10240]
- Update zabbix-reload_config.patch (Patch8)[RCN:10240]
- Update zabbix-add_dbupdate_option.patch (Patch35)[RCN:10240]
- Update zabbix-add-cpu_time-to-proc_info-on-windows.patch (Patch46)[RCN:10240]
- Update zabbix-unsupport_long_item_key.patch (Patch48)[RCN:10240]
- Update zabbix-fix_memory_leak_in_trendcache.patch (Patch49)[RCN:10240]
- Update zabbix-show_history_in_event.patch (Patch49)[RCN:10240]
- Update zabbix-force_redirect_std.patch (Patch30)[RCN:10240]
- Update zabbix-fix_undeclared_locations_in_sensors_file.patch (Patch55)[RCN:10240]
- Update zabbix-fix_building_windows_in_3.0.0alpha3.patch (Patch56)[RCN:10240]
- Update zabbix-remove_zabbix_agent.conf_file.patch (Patch55)[RCN:10240]

* Wed Sep 09 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha2-1%{?dist}
- Update base zabbix version to 3.0.0alpha2
- Update config.patch (Patch0) [RCN:]
- Update zabbix-2.5.0-windows_build.patch (Patch7)
- Update zabbix-2.5.0-reload_config.patch (Patch8)
- Update zabbix-2.2.6-add_event_filter.patch (Patch12)[RCN:]
- Update zabbix-2.2.6-show_history_in_event.patch (Patch14)[RCN:10240]
- Update zabbix-2.0.8-ML-copyright-replacement.patch (Patch24)[RCN:9257]
- Update zabbix-2.5.0-force_redirect_std.patch (Patch24)[RCN:9257]
- Update zabbix-2.2.3-add_dbupdate_option.patch (Patch35)
- Update zabbix-2.2.8-add_eventlog_ext.patch (Patch40)[RCN:11089]
- Update zabbix-2.2.7-fix_query_wrong_last_data.patch (Patch43)[RCN:10870]
- Update zabbix-2.2.9-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:11352]
- Update zabbix-2.2.7-fix_sending_recovery_mail.patch (Patch42)[RCN:10550]
- Remove zabbix-2.2.6-fix_command_injection.patch (Patch39)[RCN:10811]
- Remove zabbix-2.2.9-add_missing_socket_closing.patch (Patch47)[RCN:11310]
- Remove zabbix-2.2.9-fix_flickerfreescreen.patch (Patch49)[RCN:11256]
- Remove zabbix-2.2.9-escape_crashing_on_ValueCacheSize_is_0.patch (Patch50)[RCN:11391]
- Remove zabbix-2.2.9-fix_warning_when_no_host_selected.patch (Patch52)[RCN:11454]
- Remove zabbix-2.2.9-add_disabling_housekeeping_feature.patch (Patch53)[RCN:11514]

* Tue May 12 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.9-3%{?dist}
- Add zabbix-2.2.9-add_disabling_housekeeping_feature.patch for disabling housekeeping feature by "HousekeepingFrequency=0" (Patch53)[RCN:11514]

* Fri Apr 10 2015 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.2.9-2%{?dist}
- Add zabbix-2.2.9-unsupport_long_item_key.patch to fix command fails when the length item key greater than MAX_STRING_LEN (Patch48)[RCN:11249]
- Add zabbix-2.2.9-fix_flickerfreescreen.patch to fix CSV output extension for graph data destroys web monitoring's "response time" graph function (Patch49)[RCN:11256]
- Add zabbix-2.2.9-escape_crashing_on_ValueCacheSize_is_0.patch to fix Zabbix servers crash on start with ValueCacheSize=0 (Patch50)[RCN:11391]
- Add zabbix-2.2.9-support_tabulardatasupport_java_type.patch to support data object type "javax.management.openmbean.TabularDataSupport" (Patch51)[RCN:11327]
- Add zabbix-2.2.9-fix_warning_when_no_host_selected.patch to fix raising WARNING in Web Interface when edit template with no host selected (Patch52)[RCN:11454]

* Wed Mar 18 2015 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.2.9-1%{?dist}
- Update base zabbix version to 2.2.9
- Update zabbix-2.2.9-reload_config.patch for add "VMwarePerfFrequency" and "VMwareTimeout" parameters configure (Patch8)
- Update zabbix-2.2.9-windows-copyright.patch to update years of copyright 2001->2015(Patch34)
- Remove zabbix-2.2.6-fix_eventlog6_itself_broken.patch because the original zabbix already fixed this problem (Patch37)[RCN:10575]
- Add zabbix-2.2.9-add-cpu_time-to-proc_info-on-windows.patch to add a new parameter atime for proc_info key (Patch46)[RCN:11018]
- Update zabbix-2.2.9-add_graph_csv_output.patch to reduce three CSV output buttoms in graph to one (Patch33)[RCN:10019]
- Add zabbix-2.2.9-add_missing_socket_closing.patch to add missing socket closing to avoid large number of opened sockets (Patch47)[RCN:11310]
- Update zabbix-2.2.9-fix_memory_leak_in_trendcache.patch to fix MIRACLE ZBX proxy crashed by trend cache removing (Patch44)[RCN:11352]

* Wed Dec 17 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.8-1%{?dist}
- Update base zabbix version to 2.2.8
- Add zabbix-2.2.8-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:10993]
- Add zabbix-2.2.8-fix_zbx_item_logtype_string.patch to fix C function "zbx_item_logtype_string()" doesn't support eventlog level "critical" & "verbose" (Patch45)[RCN:11030]
- Update specfile to add BuildRequires gettext package [RCN:11015]
- Update zabbix.spec file and add After-mysqld-service.conf, After-postgresql-service.conf, zabbix-proxy.service, zabbix-server.service for [RCN:10644] 
- Update zabbix-2.2.8-add_eventlog_ext.patch to support ITEM_LOG macro for eventlog_ext (Patch40)[RCN:11089]

* Wed Oct 29 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.7-1%{?dist}
- Update base zabbix version to 2.2.7
- Update Patch8 for add "EnableSNMPBulkRequests" parameter config
- Add zabbix-2.2.7-add_eventlog_ext.patch for eventlog extend  (Patch40)[RCN:9652]
- Add zabbix-2.2.7-fix_memory_leak.patch for fixing memory leak (Patch41)[RCN:10879]
- Add zabbix-2.2.7-fix_sending_recovery_mail.patch for fixing sending recovery mail (Patch42)[RCN:10550]
- Add zabbix-2.2.7-fix_query_wrong_last_data.patch for fixing query wrong the last data for the lastest data screen (Patch43)[RCN:10870]
- Update the configuration file of zabbix_server.conf and zabbix_proxy.conf for adding the option EnableSNMPBulkRequests and change the range of Shared memory size [RCN:10871]

* Wed Oct 15 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.6-2%{?dist}
- Change package name rule like from "2.0.12-2ML6" to "2.0.12-2.ML6"
- Add zabbix-2.2.6-fix_command_injection.patch for fixing command injection vulnerability in "action" executing script media (Patch39)[RCN:10811]

* Thu Sep 04 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.6-1%{?dist}
- Update to 2.2.6
- Update zabbix-2.2.6-add_event_filter.patch for version 2.2.6-1 (Patch12)
- Update zabbix-2.2.6-show_history_in_event.patch for version 2.2.6-1 (Patch14)[RCN:10240]
- Update zabbix-2.2.6-fix_format_message_crash.patch for version 2.2.6-1 (Patch36)
- Update specfile to change the file included in java-gateway binary from org-json-2010-12-28.jar to android-json-4.3_r3.1.jar
- Update zabbix-2.2.6-datasql.patch for fixing PostgreSQL + ZBX should show Japanese interface as default (Patch1)[RCN:10268]
- Fix "Zabbix" string to "MIRACLE ZBX" and "www.zabbix.com" to "www.miraclelinux.com" in spec file [RCN:10278]
- Add zabbix-2.2.6-fix_eventlog6_itself_broken.patch for the eventlog itself is broken (Patch37)[RCN:10575]
- Add ML7, RHEL7, CentOS7 support with systemd support [RCN:10644]
- Add zabbix-2.2.6-fix_eventlog_message_logic.patch for fixing eventlog message login (Patch38)[RCN:9697]

* Thu May 15 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.2.3-1a%{?dist}
- Replace background.png

* Thu May 15 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.2.3-1%{?dist}
- Update base zabbix version to 2.2.3
- Add zabbix-2.2.3-add_dbupdate_option.patch for dividing dbupdate operation from usual daemon starting.
- Add zabbix-2.2.3-fix_format_message_crash.patch for fixing FormatMessage() crash in eventlog reading.

* Thu Oct 31 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-3%{?dist}
- Add skip old data parameter to eventlog6[] (Patch31)[RCN:9594]
- Fix eventlog[] which call free() twice in some specific situation (Patch29)[RCN:9594]
- Fix eventlog[] message (Patch29)(Patch5)[RCN:9594]

* Fri Oct 04 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-2%{?dist}
- Update for avoiding init script failure if /etc/zabbix/init/ doesn't have any file [RCN:9071]
- Add backporting patch zabbix-2.0.8-fix_sql_injection_ZBX7091.patch for fix sql injection (ZBX-7091)(Patch32)[RCN:9498]
- Add zabbix-2.0.8-add_graph_csv_output.patch for adding csv output button for graph (Patch33)[RCN:9427]
- Add backporting zabbix-2.0.8-fix_updating_data_in_proxy_ZBX6929.patch for fix updating lastlogsize and mtime in proxy (Patch34)[RCN:9463]
- Update MIRACLE ZBX version number to web frontend.(Patch24)[RCN:9257]
- Fix lockfile name problem in init script same as init script name [RCN:9526]

* Tue Sep 03 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.8-1%{?dist}
- Update base zabbix version to 2.0.8
- Add zabbix-2.0.8-host-import.patch for fix failed import host importing (Patch25)[RCN:9335]
- Add zabbix-2.0.8-hpux_compat.patch fix hp-ux condition compatibility (Patch26)[RCN:9302]
- Updated zabbix.spec to add MIRACLE ZBX release number to "-V" option and php definition [RCN:9257]
- Updated zabbix.spec to fix zabbix_server.conf permission [RCN:9107]
- Updated init for execute script in /etc/zabbix/init/ [RCN:9071]
- Add zabbix-2.0.8_long_telnet_command_fix.patch for fix unneeded characters error in zabbix telnet (Patch27)[RCN:8657]
- Add zabbix-2.0.8-avoid_proxy_stopping.patch avoid stopping of the Zabbix proxy (Patch28)[RCN:8645]
- Add zabbix-2.0.8-fix_eventlog_message_logic.patch for fix eventlog message logic (Patch29)[RCN:8373]
- Add zabbix-2.0.8-force_redirect_std.patch fix alerter outputs log after is been logrotated (Patch30)[RCN:9359]
- Update zabbix.spec for OS compatibility reason and added %_default_patch_fuzz 2 [RCN:9367][RCN:9364]
- Add patch zabbix-2.0.8-add_eventlog6_key.patch to support eventlog6[] key using always eventing 6.0 API in after Windows 2008 (ZBX-2008)(Patch31)[RCN:7086]
- Update zabbix-2.0.8-ML-copyright-replacement.patch fix zabbix SIA version in the copyright (Patch24)[RCN:9389]
- Update zabbix-2.0.8-fix_some_log.patch add some log message for supplying better support (Patch22)[RCN:8694]

* Tue Aug 06 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.7-1%{?dist}
- update to 2.0.7
- Fix history column in event page (Patch14) [RCN:9276]

* Mon May 20 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.6-1%{?dist}
- update to 2.0.6
- Fix Logo, trademark and copyright (Patch24) [RCN:8720]
- Add some log message for supplying better support (Patch22) [RCN:8694]
- Fix possibility of not sending some data for Proxy Data Sender (Patch23) [RCN:8646]

* Thu Feb 14 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.5-1%{?dist}
- update to 2.0.5
- Updated spec file for compatibilty with Amazon EC2.
- Update fix for add event filter (Patch12).
- Fix support for HP-UX 11i2 and earlier version (Patch19).
- Fix snmp check timeout on zabbix server (Patch20) (ZBX-4393).
- Add if lastclock is zero avoid evaluate nodata (Patch21) (ZBX-6134).

* Tue Dec 12 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.4-1%{?dist}
- Update to 2.0.4
- Removed patch fix sigbus crash in HP-UX and Solaris already merged upstream (Patch15).
- Fix "evaluate_STR()" and "evaluate_LOGEVENTID()" memory leak (Patch17).
- Fix windows 2000 using dinamically load Dnsapi.dll (ZBX-5883)(Patch18).
- Updated spec file for remove .orig from database.

* Tue Oct 30 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.3-1%{?dist}
- Update to 2.0.3
- Fixed to fit new version (Patch2)
- Fixed to fit new version (Patch3)
- Fixed to fit new version (Patch7)
- Fixed to fit new version (Patch8)
- Fixed to fit new version (Patch11)
- Add additional event filter (Patch12)
- Fix java gateway pid (Patch13)
- Add show history column in event page (Patch14)
- Fix sigbus crash in HP-UX and Solaris (Patch15)
- Update zabbix.spec file
- Update zabbix-java-gateway.init to wait zabbix java gateway completely killed.
- Fix java log directory (Patch16)
- Update zabbix.spec file because as write in the Zabbix documentation only scheme.sql is needed on Zabbix proxy packages.
- Updated file zabbix-agent.init.aix fix the right path of the configuration file for Zabbix-agent.
- Added requires conditional in zabbix.spec file for Java Gateway package ML5 jdk ML6 Java.
- Replaced logo.

* Fri Jul 13 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 2.0.1-1%{?dist}
- Update to 2.0.1
- Remove patches for 1.8
- Add patches for 2.0

* Thu Jun 28 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.14-1%{?dist}
- Update to 1.8.14

* Tue May 29 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.13-1%{?dist}
- Update to 1.8.13

* Tue May 8 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.12-1%{?dist}
- Update to 1.8.12
- Fix MAX_DISKDEVICES (ZBXNEXT-801) (Patch44)
- Fix default time period (ZBX-2885) (Patch45)

* Wed Mar 21 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.11-1%{?dist}
- Update to 1.8.11

* Mon Dec 5 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.9-1%{?dist}
- Update to 1.8.9

* Mon Nov 7 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-2%{?dist}
- Fix CFLAGS option (Patch42)
- Fix ODBC structure (Patch43)

* Wed Sep 28 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-1%{?dist}
- Update to 1.8.7
- Add MIRACLE LINUX V6.0 and Red Hat Enterprise Linux 6 support
- Fix server crash (ZBX-4099) (Patch41)

* Thu Aug 26 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-2%{?dist}
- Fix show history in event (Patch40)

* Thu Jul 21 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-1%{?dist}
- Update to 1.8.5
- Fix action mismatch (Patch39)

* Fri Apr 22 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.4-2%{?dist}
- Fix map element dose not work (ZBX-3552) (Patch30)
- Fix map icon created twice (ZBX-3626) (Patch31)
- Fix importing map icon label (ZBX-3682) (Patch32)
- Fix disabled item's triggers are also displayed in 'status of triggers' (ZBX-3576) (Patch33)
- Fix not found style files (ZBX-3649) (Patch34)
- Runtime control of zabbix daemons (ZBXNEXT-416) (Patch35)
- Fix net.tcp.dns to enable selecting nameserver (Patch36)
- Fix template unlink (Patch37)
- Fix item not supported (Patch38)

* Fri Feb 4 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.4-1%{?dist}
- Update to 1.8.4
- Add windows build script (Patch29)

* Tue Feb 1 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-6%{?dist}
- Add MIRACLE LINUX V3.0 and Red Hat Enterprise Linux 3 support

* Mon Jan 24 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-5%{?dist}
- Fix debug message of poller interval option (Patch27)

* Fri Jan 14 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-4%{?dist}
- Add poller interval option (Patch27)
- Add explanation of poller interval option in server and proxy config file
- Add event filter (Patch28)
- Change defines.inc.php as non config file

* Wed Dec 29 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-3%{?dist}
- Change MAX_DISKDEVICES to 128 and refactor (Patch19)
- Enable to send active check to multi server (Patch22)
- Change Patch18 and VisualStudio project files to fit Patch22 (Patch18)
- Fixed possible stop to send data from proxy after shutdown of MySQL server (ZBX-3085) (Patch23)
- Fixed host profiles export (ZBX-2888) (Patch24)
- Fixed Japanese translation (Patch25)
- Fixed not found style files (ZBX-2937) (Patch26)
- Add initial db files for zabbix-proxy package

* Wed Sep 22 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-2%{?dist}
- Fix compile error in AIX 6.1 (Patch21)

* Wed Aug 19 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-1%{?dist}
- Update to 1.8.3
- Remove patches for 1.6
- Add patches for 1.8

* Wed Aug 18 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-7%{?dist}
- Change code not to use seteuid, setegid under HP-UX for HP-UX Version 2 compatibility (Patch48)

* Tue Jul 27 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-6%{?dist}
- Add support for new windows eventlog system backported from ZBX-2008 (Patch46)
- Fix displaying too big eventid in Windows (Patch46)

* Tue Jul 13 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-5%{?dist}
- revert Patch43
- revert ZBX-2062 from original source (Patch47)

* Thu Jul 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-4%{?dist}
- Add optional feature to show eventid in eventlog (Patch45)

* Mon Jun 28 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-3%{?dist}
- Fix not sending alert when receive error log or trap same time (Patch43)
- Add optional feature to show history log in event screen (Patch44)

* Mon Jun 7 2010 Kodai Terashima <terashima@miraclelinux.com> - 1.6.9-2%{?dist}
- Fix log is not collected when long log item key using multibyte string (Patch39)
- Fix enable/disable item action does not work in application screen (Patch40)
- Fix graph view when select over 372 days (Patch41)
- Fix vfs.dev.read vfs.dev.write to get values for partitions in old 2.6 kernel (Patch42)
- Fix vfs.dev.read vfs.dev.write to get sps, ops for partitions (Patch42)
- Fix vfs.dev.read vfs.dev.write to get values for LVM devices (Patch42)

* Thu Apr 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-1%{?dist}
- Update to 1.6.9
- Fix event time setting logic (Patch37)
- Add more event filter option (Patch38)

* Fri Mar 12 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-5%{?dist}
- Fix counting string function in trigger (Patch32)
- Fix label text is not in the right place on map (update Patch9)
- Fix color selection frame is not appeared (Patch34)
- Fix color configuration is not upgraded correctly from 1.4 to 1.6  when use Japanese (Patch35)
- Fix map icon label is not used map default label location setting (Patch33)
- Add extra encoding mode to process lf char code in windows. Merge diff with Patch31 (Patch36)

* Tue Jan 26 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-4%{?dist}
- Fixed stopping log monitoring every 2 minutes when using windows agent with encoding option (Patch31)

* Fri Jan 8 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-3%{?dist}
- disable with-openipmi option when not ML5
- add BuildRequires OpenIPMI-devel

* Thu Jan 7 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-2%{?dist}
- refactored and added multibyte charactor conversion in windows agent(Patch31)
- fixed some typo in spec file and file names

* Wed Jan 6 2010 Kodai Terashima <terashima@miraclelinux.com> 1.6.8-1%{?dist}
- Update graph_description.patch to localize available chart and pie chart (Patch9)
- Merge frontend.patch into graph_description.patch (Patch4, Patch9)
- Add patch to fix problem doesn't show screen (Patch29)
- Add patch to fix show active check data on Latest Data screen (Patch30)
- enable with-openipmi option in configure script
- Update Japanese translation (Source7)

* Mon Nov 16 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.7-2%{?dist}
- Update to 1.6.7
- remove already included patches (Patch10,15,17)

* Fri Nov  6 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.6-1%{?dist}
- Update to 1.6.6
- remove already included patches (Patch10,15,17)
- add logrotated file support (Patch23)
- fix processing of logs and eventlogs which become empty only on the agent side (Patch24)
- fix processing of proc_info[] function (Patch25)
- fix VisualStudio project file (Patch26)
- remove broken character which affects in compiling with VisualStudio (Patch27)
- fix package build environment and recompile packages to fix system.cpu.util function
- fix copyright-year in japanese (source7)
- remove sqlite build process from spec file

* Wed Sep 16 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-6%{?dist}
- fix FormatMessage crash in case of aInsertStrs having more than 64 elements (Patch19)
- add a patch to select Japanese locale by default (Patch 20)
- add a patch to add "Powered by MIRACLE LINUX" on footer (Patch21)
- add a powered_by_miracle logo (Source6)
- add a ja_jp.inc.php and delete locale-ja_jp.patch (Source7, Patch15)
- add script for blocking update zabbix packages by axtu in zabbix.spec
- add php options for Japanese in zabbix-web.conf
- add a patch to allow multibyte trigger expression (Patch22)

* Fri Aug 28 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.4-5%{?dist}
- add system.swap.in and system.swap.out patch for LVM devices and other device-mapper devices (Patch16,17)
- fix diff path in windows patch files to patch '-p1' option (Patch18)

* Mon Aug 17 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-4%{?dist}
- Add a patch for fix crash windows 2000 agent (Patch16,17)

* Thu May 13 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-3%{?dist}
- Update Japanese translation (AXBug#6304, Patch15)
- modify zabbix-1.6.4-trigger_cond_multibyte_param.patch (AXBug#6306)

* Tue Apr  7 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-2%{?dist}
- merge Asianux modifications to the new package which based on 1.4.6-1.1%{?dist}
  - When updating zabbix, restart zabbix-server, zabbix-agent and zabbix-proxy
  - modify zabbix-web.conf not to be able to access zabbix-web page by default
    (AXBug#4525)
  - replace Source1
  - fix the bug that cannot choose Japanese language (Patch3, AXBug#4614)
  - modify date format for Chinese (Patch6) and Korean (Patch14) (AXBug#4801)
  - fix copyright-year in locales file(Patch7)
  - fix minor bugs related to CKJ locales(Patch9,10)
  - allow item/trigger parameter to set multibyte character(Patch11)
  - fix exhausted memory by using DB cursor(Patch12)
  - add converter from SJIS to UTF-8 for Windows Event Log(Patch13)
  - fix locale files to modify version by itself

* Mon Apr 6 2009 Yoshihiro Kagawa <ykagawa@miraclelinux.com> - 1.6.4-1
- Update to 1.6.4

* Fri Jan 23 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-2
- Rebuild for MySQL 5.1.X

* Fri Jan 16 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-1
- Update to 1.6.2: http://www.zabbix.com/rn1.6.2.php

* Thu Dec  4 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Fix BZ#474593 by adding a requires.

* Wed Nov  5 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Update to 1.6.1

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1.1
- Bump release because forgot to add some new files.

* Thu Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1
- Update to final 1.6

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.4.6-2
- Fix license tag.

* Fri Jul 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6

* Mon Jul 07 2008 Dan Horak <dan[at]danny.cz> - 1.4.5-4
- add LSB headers into init scripts
- disable internal log rotation

* Fri May 02 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-3
- Seems the zabbix folks replaced the original 1.4.5 tarball with
  an updated tarball or something -- it actually does contain a
  tiny bit of additional code... So update to newer 1.4.5.

* Tue Apr 08 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-2
- Fix building w/postgresql (#441456)

* Tue Mar 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.5-1
- Update to 1.4.5

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.4-2
- Bump and rebuild with gcc 4.3

* Mon Dec 17 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.4-1
- New upstream release
- Fixes two crasher bugs in 1.4.3 release

* Wed Dec 12 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.3-1
- New upstream release

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.4.2-5
- Rebuild for deps

* Sat Dec 01 2007 Dan Horak <dan[at]danny.cz> 1.4.2-4
- add security fix (#407181)

* Thu Sep 20 2007 Dan Horak <dan[at]danny.cz> 1.4.2-3
- Add a patch to clean a warning during compile
- Add a patch to fix cpu load computations

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-2
- Account for binaries moving from %%_bindir to %%_sbindir

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-1
- New upstream release

* Mon Jul 02 2007 Jarod Wilson <jwilson@redhat.com> 1.4.1-1
- New upstream release

* Fri Jun 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-3
- Install correct sql init files (#244991)
- Add Requires: php-bcmath to zabbix-web (#245767)

* Wed May 30 2007 Jarod Wilson <jwilson@redhat.com> 1.4-2
- Add placeholder zabbix.conf.php

* Tue May 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-1
- New upstream release

* Fri Mar 30 2007 Jarod Wilson <jwilson@redhat.com> 1.1.7-1
- New upstream release

* Wed Feb 07 2007 Jarod Wilson <jwilson@redhat.com> 1.1.6-1
- New upstream release

* Thu Feb 01 2007 Jarod Wilson <jwilson@redhat.com> 1.1.5-1
- New upstream release

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 1.1.4-5
- Add explicit R:php to zabbix-web (#220676)

* Wed Dec 13 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-4
- Fix snmp polling buffer overflow (#218065)

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-3
- Rebuild for updated libnetsnmp

* Thu Nov 16 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-2
- Fix up pt_br
- Add Req-pre on useradd

* Wed Nov 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-1
- Update to 1.1.4

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-3
- Add BR: gnutls-devel, R: net-snmp-libs

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-2
- Fix php-pgsql Requires

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-1
- Update to 1.1.3

* Mon Oct 02 2006 Jarod Wilson <jwilson@redhat.com> 1.1.2-1
- Update to 1.1.2
- Enable alternate building with postgresql support

* Thu Aug 17 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-2
- Yank out Requires: mysql-server
- Add Requires: for php-gd and fping

* Tue Aug 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-1
- Update to 1.1.1
- More macroification
- Fix up zabbix-web Requires:
- Prep for enabling postgres support

* Thu Jul 27 2006 Jarod Wilson <jwilson@redhat.com> 1.1-2
- Add Requires: on chkconfig and service
- Remove openssl-devel from BR, mysql-devel pulls it in
- Alter scriptlets to match Fedora conventions

* Tue Jul 11 2006 Jarod Wilson <jwilson@redhat.com> 1.1-1
- Initial build for Fedora Extras
